/// <reference types="react" />
import { ColorName } from '../../tokens';
type StatusShape = 'circle' | 'diamond';
export interface StatusIconProps extends React.HTMLAttributes<HTMLElement> {
    color: (string & {}) | ColorName;
    /**
     * @deprecated kept for backcompat, but Figma only uses the 'circle' shape
     */
    shape?: StatusShape;
    pulsating?: boolean;
    size?: number | string;
}
/**
 * @deprecated use Status
 */
export declare const StatusIcon: ({ color, shape, pulsating, size, style, ...rest }: StatusIconProps) => import("theme-ui/jsx-runtime").JSX.Element;
/**
 * Status 1.0.rc-0
 * @see https://www.figma.com/file/dZvmMJGBuyo1jxX0mJlrb7/GDS?node-id=32793:145732&t=cDibhHlLH85izbzh-0
 */
export declare const Status: ({ color, shape, pulsating, size, style, ...rest }: StatusIconProps) => import("theme-ui/jsx-runtime").JSX.Element;
export {};
