import type NextLinkType from 'next/link';
import { HTMLAttributes, ReactNode } from 'react';
import { MessageSeverity } from '../../types/MessageSeverity';
export type AlertCTAProps = {
    children: ReactNode;
    href?: string;
    target?: string;
    /** @deprecated The component now automatically renders a `a` instead of a `button` if a `href` is provided. */
    as?: string;
    /** @deprecated */
    NextLink?: typeof NextLinkType;
    onClick?: () => void;
    disabled?: boolean;
};
/**
 * @deprecated Use `NewGDSButton.Tertiary` instead.
 */
export declare const MessageBoxSecondaryCTA: ({ href, target, disabled, onClick, children }: AlertCTAProps) => import("theme-ui/jsx-runtime").JSX.Element;
/**
 * @deprecated Use `NewGDSButton.Secondary` instead.
 */
export declare const MessageBoxPrimaryCTA: ({ children, href, target, onClick, disabled }: AlertCTAProps) => import("theme-ui/jsx-runtime").JSX.Element;
export interface AlertProps extends Omit<HTMLAttributes<HTMLElement>, 'title'> {
    title: ReactNode;
    description?: ReactNode;
    displayIcon?: boolean;
    className?: string;
    /** @deprecated renamed to `severity` */
    variant?: MessageSeverity;
    severity?: MessageSeverity;
    SecondaryCTA?: ReactNode;
    PrimaryCTA?: ReactNode;
    sxPassthrough?: any;
}
export declare const Alert: ({ title, description, displayIcon, variant, severity, SecondaryCTA, PrimaryCTA, sxPassthrough, ...props }: AlertProps) => import("theme-ui/jsx-runtime").JSX.Element;
/**
 * @deprecated Renamed to `Alert`.
 */
export declare const MessageBox: ({ title, description, displayIcon, variant, severity, SecondaryCTA, PrimaryCTA, sxPassthrough, ...props }: AlertProps) => import("theme-ui/jsx-runtime").JSX.Element;
