/// <reference types="react" />
import { ButtonOrLinkElement, ButtonOrLinkProps, TextProps } from '../../atoms';
import { DistributiveIntersection } from '../../utils/type-level';
export type LinkProps = DistributiveIntersection<ButtonOrLinkProps, {
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean;
    /** Lowers the base opacity to 48%. */
    discreet?: boolean;
}>;
export declare const LinkBase: import("react").ForwardRefExoticComponent<(Omit<ButtonOrLinkProps.ButtonProps & {
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean | undefined;
    /** Lowers the base opacity to 48%. */
    discreet?: boolean | undefined;
}, "ref"> | Omit<ButtonOrLinkProps.ExternalLinkProps & {
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean | undefined;
    /** Lowers the base opacity to 48%. */
    discreet?: boolean | undefined;
}, "ref"> | Omit<ButtonOrLinkProps.ClientLinkProps & {
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean | undefined;
    /** Lowers the base opacity to 48%. */
    discreet?: boolean | undefined;
}, "ref">) & import("react").RefAttributes<ButtonOrLinkElement>>;
/**
 * `Link` v1.2
 *
 * A link (or button, if there is no `href` prop) that contains text and/or icon(s).
 *
 * Variant: `Link.Inline` (sets `display: inline` and the `underline` prop defaults to `true` instead of `false`)
 */
export declare const Link: import("react").ForwardRefExoticComponent<(Omit<ButtonOrLinkProps.ButtonProps & {
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean | undefined;
    /** Lowers the base opacity to 48%. */
    discreet?: boolean | undefined;
}, "ref"> | Omit<ButtonOrLinkProps.ExternalLinkProps & {
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean | undefined;
    /** Lowers the base opacity to 48%. */
    discreet?: boolean | undefined;
}, "ref"> | Omit<ButtonOrLinkProps.ClientLinkProps & {
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean | undefined;
    /** Lowers the base opacity to 48%. */
    discreet?: boolean | undefined;
}, "ref">) & import("react").RefAttributes<ButtonOrLinkElement>> & {
    Inline: import("react").ForwardRefExoticComponent<(Omit<ButtonOrLinkProps.ButtonProps & {
        /** Font weight. Inherited by default. */
        weight?: TextProps['weight'];
        /** Font size. Inherited by default. */
        size?: TextProps['size'];
        /** Whether there should be a purple underline below the text. */
        underline?: boolean | undefined;
        /** Lowers the base opacity to 48%. */
        discreet?: boolean | undefined;
    }, "ref"> | Omit<ButtonOrLinkProps.ExternalLinkProps & {
        /** Font weight. Inherited by default. */
        weight?: TextProps['weight'];
        /** Font size. Inherited by default. */
        size?: TextProps['size'];
        /** Whether there should be a purple underline below the text. */
        underline?: boolean | undefined;
        /** Lowers the base opacity to 48%. */
        discreet?: boolean | undefined;
    }, "ref"> | Omit<ButtonOrLinkProps.ClientLinkProps & {
        /** Font weight. Inherited by default. */
        weight?: TextProps['weight'];
        /** Font size. Inherited by default. */
        size?: TextProps['size'];
        /** Whether there should be a purple underline below the text. */
        underline?: boolean | undefined;
        /** Lowers the base opacity to 48%. */
        discreet?: boolean | undefined;
    }, "ref">) & import("react").RefAttributes<ButtonOrLinkElement>>;
};
