/// <reference types="react" />
import { ButtonOrLinkElement, ButtonOrLinkProps } from '../../atoms';
import { SxColor } from '../../tokens';
export type MarketingButtonProps = {
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: 'outlined' | 'filled';
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor;
} & ButtonOrLinkProps;
export declare const MarketingButton: import("react").ForwardRefExoticComponent<(Omit<{
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: "filled" | "outlined" | undefined;
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor | undefined;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor | undefined;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor | undefined;
} & ButtonOrLinkProps.ButtonProps, "ref"> | Omit<{
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: "filled" | "outlined" | undefined;
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor | undefined;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor | undefined;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor | undefined;
} & ButtonOrLinkProps.ExternalLinkProps, "ref"> | Omit<{
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: "filled" | "outlined" | undefined;
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor | undefined;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor | undefined;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor | undefined;
} & ButtonOrLinkProps.ClientLinkProps, "ref">) & import("react").RefAttributes<ButtonOrLinkElement>>;
export declare const MarketingButtonOutlined: import("react").ForwardRefExoticComponent<(Omit<Omit<{
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: "filled" | "outlined" | undefined;
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor | undefined;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor | undefined;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor | undefined;
} & ButtonOrLinkProps.ButtonProps, "variant">, "ref"> | Omit<Omit<{
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: "filled" | "outlined" | undefined;
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor | undefined;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor | undefined;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor | undefined;
} & ButtonOrLinkProps.ExternalLinkProps, "variant">, "ref"> | Omit<Omit<{
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: "filled" | "outlined" | undefined;
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor | undefined;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor | undefined;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor | undefined;
} & ButtonOrLinkProps.ClientLinkProps, "variant">, "ref">) & import("react").RefAttributes<ButtonOrLinkElement>>;
export declare const MarketingButtonFilled: import("react").ForwardRefExoticComponent<(Omit<Omit<{
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: "filled" | "outlined" | undefined;
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor | undefined;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor | undefined;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor | undefined;
} & ButtonOrLinkProps.ButtonProps, "variant">, "ref"> | Omit<Omit<{
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: "filled" | "outlined" | undefined;
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor | undefined;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor | undefined;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor | undefined;
} & ButtonOrLinkProps.ExternalLinkProps, "variant">, "ref"> | Omit<Omit<{
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: "filled" | "outlined" | undefined;
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor | undefined;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor | undefined;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor | undefined;
} & ButtonOrLinkProps.ClientLinkProps, "variant">, "ref">) & import("react").RefAttributes<ButtonOrLinkElement>>;
