import { ReactNode } from 'react';
import { ButtonOrLinkProps } from '../../atoms';
export declare namespace NewGDSChipProps {
    interface BaseProps {
        /** Chip size. One of `small`, `medium`, or `large`. Defaults to `medium`. */
        size: 'small' | 'medium' | 'large';
        /** Icon to render on the left side of the chip. */
        iconLeft?: ReactNode;
        /** Icon to render on the the right side of the chip. */
        iconRight?: ReactNode;
    }
    interface ButtonProps extends BaseProps, ButtonOrLinkProps.ButtonProps {
    }
    interface ExternalLinkProps extends BaseProps, ButtonOrLinkProps.ExternalLinkProps {
    }
    interface ClientLinkProps extends BaseProps, ButtonOrLinkProps.ClientLinkProps {
    }
}
export type NewGDSChipProps = NewGDSChipProps.ButtonProps | NewGDSChipProps.ClientLinkProps | NewGDSChipProps.ExternalLinkProps;
export declare const NewGDSChip: import("react").ForwardRefExoticComponent<(Omit<NewGDSChipProps.ButtonProps, "ref"> | Omit<NewGDSChipProps.ExternalLinkProps, "ref"> | Omit<NewGDSChipProps.ClientLinkProps, "ref">) & import("react").RefAttributes<HTMLButtonElement | HTMLAnchorElement>>;
