import { ComponentPropsWithoutRef } from 'react';
import { NewGDSButtonProps } from '../NewGDSButton';
export type SearchProps = {
    placeholder?: string;
    /**
     * @deprecated use onChange
     */
    setSearchText?: (value: string) => void;
    /**
     * How many milliseconds to wait for the user to finish updating the search input before updating the value.
     * To prevent a debounce, pass in 0 for this param and the user-entered value will immediately propogate.
     * @default 300 ms
     *
     * @deprecated Debounce or throttle in the application.
     */
    debounceDelayMs?: number;
    onChange?: (value: string) => void;
};
export declare const Search: {
    ({ setSearchText, onChange, placeholder, debounceDelayMs }: SearchProps): import("theme-ui/jsx-runtime").JSX.Element;
    ResetButton: typeof SearchResetButton;
    Input: typeof SearchInput;
    Container: typeof SearchContainer;
};
export interface SearchResetButtonProps extends NewGDSButtonProps.ButtonProps {
}
declare function SearchResetButton(props: SearchResetButtonProps): import("theme-ui/jsx-runtime").JSX.Element;
export interface SearchInputProps extends ComponentPropsWithoutRef<'input'> {
}
declare function SearchInput(props: SearchInputProps): import("theme-ui/jsx-runtime").JSX.Element;
export interface SearchContainerProps extends ComponentPropsWithoutRef<'label'> {
}
declare function SearchContainer(props: SearchContainerProps): import("theme-ui/jsx-runtime").JSX.Element;
export {};
