import type NextLinkType from 'next/link';
import { Context } from 'react';
import type { SupportedColorModes } from './types';
export interface GDSContextValue {
    /**
     * Next.js's link or a compatible equivalent (must accept same props, and be `ForwardRefExoticComponent`).
     */
    clientLink: typeof NextLinkType;
    /**
     * Array of color modes that the app supports. The first specified color mode will be the default.
     * Defaults to `[ColorMode.DARK]`.
     */
    supportedColorModes: SupportedColorModes;
}
export interface GDSContext extends Context<GDSContextValue> {
    defaultValue: GDSContextValue;
}
export declare const GDSContext: GDSContext;
